- / +
GObject
GeglConfig

quality GParamDouble
  quality/speed trade off 1.0 = full quality, 0.0=full speed
cache-size GParamInt
  size of cache in bytes
chunk-size GParamInt
  the number of pixels processed simultaneously by GEGL.
swap GParamString
  where gegl stores it's swap files
babl-tolerance GParamDouble
  the error tolerance babl operates with
tile-width GParamInt
  default tile width for created buffers.
tile-height GParamInt
  default tile height for created buffers.
threads GParamInt
  default tile height for created buffers.
use-opencl GParamBoolean
  Try to use OpenCL

GeglModuleDB
GTypeModule
GeglModule
GeglOperation
GeglOperationSource

output GParamObject
  Output pad for generated image buffer.

GeglChanttext_c

string GeglParamMultiline
  String to display (utf8)
font GParamString
  Font family (utf8)
size GParamDouble
  Approximate height of text in pixels.
color GeglParamColor
  Color for the text (defaults to 'white')
wrap GParamInt
  Sets the width in pixels at which long lines will wrap. Use -1 for no wrapping.
alignment GParamInt
  Alignment for multi-line text (0=Left, 1=Center, 2=Right)
width GParamInt
  Rendered width in pixels. (read only)
height GParamInt
  Rendered height in pixels. (read only)

GeglChantpng-load_c

path GeglParamFilePath
  Path of file to load.

GeglChantjpg-load_c

path GeglParamFilePath
  Path of file to load

GeglChantsvg-load_c

path GeglParamFilePath
  Path to SVG file to load
width GParamInt
  Width for rendered image
height GParamInt
  Height for rendered image

GeglChantpixbuf_c

pixbuf GParamPointer
  GdkPixbuf to use

GeglChantexr-load_cpp

path GParamString
  Path of file to load.

GeglChantopenraw_c

path GeglParamFilePath
  Path of file to load.

GeglChantv4l_c

path GeglParamFilePath
  Path to v4l device
width GParamInt
  Width for rendered image
height GParamInt
  Height for rendered image
frame GParamInt
  current frame number, can be changed to trigger a reload of the image.
fps GParamInt
  autotrigger reload this many times a second.

GeglChantjp2-load_c

path GeglParamFilePath
  Path of file to load

GeglChantppm-load_c

path GeglParamFilePath
  Path of file to load.

GeglChantrgbe-load_c

path GeglParamFilePath
  Path of file to load.

GeglOperationPointRender
GeglChantcolor_c

value GeglParamColor
  The color to render (defaults to 'black')

GeglChantcheckerboard_c

x GeglParamint
  Horizontal width of cells pixels
y GeglParamint
  Vertical width of cells in pixels
x-offset GeglParamint
  Horizontal offset (from origin) for start of grid
y-offset GeglParamint
  Vertical offset (from origin) for start of grid
color1 GeglParamColor
  One of the cell colors (defaults to 'black')
color2 GeglParamColor
  The other cell color (defaults to 'white')

GeglChantnoise_c

alpha GeglParamDouble
scale GeglParamDouble
zoff GeglParamDouble
seed GeglParamDouble
n GParamInt

GeglChantgrid_c

x GeglParamint
  Horizontal width of cells pixels
y GeglParamint
  Vertical width of cells in pixels
x-offset GeglParamint
  Horizontal offset (from origin) for start of grid
y-offset GeglParamint
  Vertical offset (from origin) for start of grid
line-width GeglParamint
  Width of grid lines in pixels
line-height GeglParamint
  Height of grid lines in pixels
line-color GeglParamColor
  Color of the grid lines

GeglChantgegl-buffer-load-op_c

path GeglParamFilePath
  Path of GeglBuffer file to load.

GeglChantbuffer-source_c

buffer GParamObject
  The GeglBuffer to load into the pipeline

GeglChantfractal-explorer_c

width GeglParamint
  Width
height GeglParamint
  Height
fractaltype GParamInt
  Type of a fractal
xmin GParamDouble
  Left
xmax GParamDouble
  Right
ymin GParamDouble
  Top
ymax GParamDouble
  Bottom
iter GParamInt
  Iterations
cx GParamDouble
  CX (only Julia)
cy GParamDouble
  CY (only Julia)
redstretch GParamDouble
  Red stretching factor
greenstretch GParamDouble
  Green stretching factor
bluestretch GParamDouble
  Blue stretching factor
redmode GParamInt
  Red application mode (0:SIN; 1:COS; 2:NONE)
greenmode GParamInt
  Green application mode (0:SIN; 1:COS; 2:NONE)
bluemode GParamInt
  Blue application mode (0:SIN; 1:COS; 2:NONE)
redinvert GParamBoolean
  Red inversion
greeninvert GParamBoolean
  Green inversion
blueinvert GParamBoolean
  Blue inversion
ncolors GParamInt
  Number of colors
useloglog GParamBoolean
  Use loglog smoothing

GeglChantraw-load_c

path GeglParamFilePath
  Path of file to load.

GeglChantintrospect_c

node GParamObject
  GeglNode to introspect

GeglChantopen-buffer_c

path GParamString
  a GeglBuffer on disk to open

GeglChantmagick-load_c

path GeglParamFilePath
  Path of file to load.

GeglOperationFilter

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

GeglChantpath_c

fill GeglParamColor
  Color of paint to use for filling, use 0 opacity to disable filling
stroke GeglParamColor
  Color of paint to use for stroking
stroke-width GParamDouble
  The width of the brush used to stroke the path
stroke-opacity GParamDouble
  Opacity of stroke, note, does not behave like SVG since at the moment stroking is done using an airbrush tool
stroke-hardness GParamDouble
  Hardness of the brush, 0.0 for a soft brush, 1.0 for a hard brush
fill-rule GParamString
  How to determine what to fill (nonzero|evenodd
transform GParamString
  SVG style description of transform
fill-opacity GParamDouble
  The fill opacity to use
d GeglParamPath
  A GeglVector representing the path of the stroke

GeglChantvector-fill_c

color GeglParamColor
  Color of paint to use for filling.
opacity GParamDouble
  The fill opacity to use.
fill-rule GParamString
  how to determine what to fill (nonzero|evenodd
transform GParamString
  svg style description of transform.
d GeglParamPath
  A GeglVector representing the path of the stroke

GeglChantvector-stroke_c

color GeglParamColor
  Color of paint to use for stroking.
width GParamDouble
  The width of the brush used to stroke the path.
opacity GParamDouble
  Opacity of stroke, note, does not behave like SVG since at the moment stroking is done using an airbrush tool.
transform GParamString
  svg style description of transform.
d GeglParamPath
  A GeglVector representing the path of the stroke

GeglOpPlugIn-affine

origin-x GParamDouble
  X coordinate of origin
origin-y GParamDouble
  Y coordinate of origin
filter GParamString
  Filter type (nearest, linear, lanczos, cubic, lohalo)
hard-edges GParamBoolean
  Hard edges
lanczos-width GParamInt
  Width of the Lanczos function

GeglOpPlugIn-rotate

degrees GParamDouble
  Angle to rotate (clockwise)

GeglOpPlugIn-scale

x GParamDouble
  Horizontal scale factor
y GParamDouble
  Vertical scale factor

GeglOpPlugIn-shear

x GParamDouble
  Horizontal shear amount
y GParamDouble
  Vertical shear amount

GeglOpPlugIn-translate

x GParamDouble
  Horizontal translation
y GParamDouble
  Vertical translation

GeglOpPlugIn-reflect

x GParamDouble
  Direction vector's X component
y GParamDouble
  Direction vector's Y component

GeglOpPlugIn-transform

transform GParamString
  Transformation string

GeglChantmantiuk06_c

contrast GParamDouble
  The amount of contrast compression
saturation GParamDouble
  Global colour saturation factor
detail GParamDouble
  Level of emphasis on image gradient details

GeglChantfattal02_c

alpha GParamDouble
  Gradient threshold for detail enhancement
beta GParamDouble
  Strength of local detail enhancement
saturation GParamDouble
  Global color saturation factor
noise GParamDouble
  Gradient threshold for lowering detail enhancement

GeglChantpolar-coordinates_c

depth GParamDouble
  Circle depth in percent
angle GParamDouble
  Offset angle.
bw GParamBoolean
  Start from the right instead of the left
top GParamBoolean
  Put the top row in the middle and the bottom row on the outside
polar GParamBoolean
  Map the image to a circle
pole-x GParamInt
  Origin point for the polar coordinates
pole-y GParamInt
  Origin point for the polar coordinates
middle GParamBoolean
  Let origin point to be the middle one

GeglChantmirrors_c

m-angle GParamDouble
  Rotation applied to the mirrors
r-angle GParamDouble
  Rotation applied to the result
n-segs GParamInt
  Number of mirrors to use
c-x GParamDouble
  X offset of the result of mirroring
c-y GParamDouble
  Y offset of the result of mirroring
o-x GParamDouble
  X axis ratio for the center of mirroring
o-y GParamDouble
  Y axis ratio for the center of mirroring
trim-x GParamDouble
  X axis ratio for trimming mirror expanse
trim-y GParamDouble
  Y axis ratio for trimming mirror expanse
input-scale GParamDouble
  Scale factor to make rendering size bigger
output-scale GParamDouble
  Scale factor to make rendering size bigger
clip GParamBoolean
  Clip result to input size
warp GParamBoolean
  Fill full output area

GeglOperationPointFilter
GeglChantbrightness-contrast_c

contrast GeglParamDouble
  Range scale factor
brightness GeglParamDouble
  Amount to increase brightness

GeglChantgrey_c
GeglChantvignette_c

shape GParamInt
  Shape to use: 0=circle 1=diamond 2=square
color GeglParamColor
  Defaults to 'black', you can use transparency here to erase portions of an image
radius GParamDouble
  How far out vignetting goes as portion of half image diagonal
softness GParamDouble
  Softness
gamma GParamDouble
  Falloff linearity
proportion GParamDouble
  How close we are to image proportions
squeeze GParamDouble
  Aspect ratio to use, -0.5 = 1:2, 0.0 = 1:1, 0.5 = 2:1, -1.0 = 1:inf 1.0 = inf:1, this is applied after proportion is taken into account, to directly use squeeze factor as proportions, set proportion to 0.0.
x GParamDouble
  Horizontal center of vignetting
y GParamDouble
  Vertical center of vignetting
rotation GParamDouble
  Rotation angle

GeglChantsvg-luminancetoalpha_c

values GParamString
  list of <number>s

GeglChantsvg-huerotate_c

values GParamString
  list of <number>s

GeglChantlevels_c

in-low GeglParamDouble
  Input luminance level to become lowest output
in-high GeglParamDouble
  Input luminance level to become white.
out-low GeglParamDouble
  Lowest luminance level in output
out-high GeglParamDouble
  Highest luminance level in output

GeglChantsvg-saturate_c

values GParamString
  list of <number>s

GeglChantsvg-matrix_c

values GParamString
  list of <number>s

GeglChantposterize_c

levels GeglParamint
  number of levels per component

GeglChantinvert_c
GeglChantcolor-temperature_c

original-temperature GParamDouble
  Estimated temperature of the light source in Kelvin the image was taken with.
intended-temperature GParamDouble
  Corrected estimation of the temperature of the light source in Kelvin.

GeglChantvalue-invert_c
GeglChantcontrast-curve_c

sampling-points GParamInt
  Number of curve sampling points. 0 for exact calculation.
curve GeglParamCurve
  The contrast curve.

GeglChantconvert-format_c

format GParamString
  Babl output format string

GeglOperationAreaFilter
GeglChantpixelize_c

size-x GeglParamint
  Width of blocks in pixels
size-y GeglParamint
  Height of blocks in pixels

GeglChantnoise-reduction_c

iterations GeglParamint
  How many iteratarions to run the algorithm with

GeglChantripple_c

amplitude GeglParamDouble
  Amplitude of the ripple
period GeglParamDouble
  Period of the ripple
phi GParamDouble
  Phase shift
angle GParamDouble
  Angle in degree
sampler-type GParamEnum
  Sampler used internally
wave-type GParamEnum
  Type of wave

GeglChantbox-blur_c

radius GeglParamDouble
  Radius of square pixel region, (width and height will be radius*2+1)

GeglChantgaussian-blur_c

std-dev-x GeglParamDouble
  Standard deviation for the horizontal axis. (multiply by ~2 to get radius)
std-dev-y GeglParamDouble
  Standard deviation for the vertical axis. (multiply by ~2 to get radius.)
filter GParamString
  Optional parameter to override the automatic selection of blur filter. Choices are fir, iir, auto

GeglChantsnn-mean_c

radius GeglParamint
  Radius of square pixel region, (width and height will be radius*2+1)
pairs GParamInt
  Number of pairs; higher number preserves more acute features

GeglChantedge-sobel_c

horizontal GParamBoolean
  Horizontal
vertical GParamBoolean
  Vertical
keep-signal GParamBoolean
  Keep Signal

GeglChantmotion-blur_c

length GeglParamDouble
  Length of blur in pixels
angle GeglParamDouble
  Angle of blur in degrees

GeglChantedge-laplace_c
GeglChantbilateral-filter_c

blur-radius GeglParamDouble
  Radius of square pixel region, (width and height will be radius*2+1).
edge-preservation GParamDouble
  Amount of edge preservation

GeglChantwaves_c

x GeglParamDouble
  X coordinate of the center of the waves
y GeglParamDouble
  Coordinate y of the center of the waves
amplitude GParamDouble
  Amplitude of the ripple
period GParamDouble
  Period of the ripple
phi GParamDouble
  Phase shift
sampler-type GParamEnum
  Sampler used internally

GeglChantstress_c

radius GeglParamint
  Neighborhood taken into account, for enhancement ideal values are close to the longest side of the image, increasing this increases the runtime
samples GeglParamint
  Number of samples to do per iteration looking for the range of colors
iterations GeglParamint
  Number of iterations, a higher number of iterations provides a less noisy rendering at a computational cost

GeglChantc2g_c

radius GeglParamint
  Neighborhood taken into account, this is the radius in pixels taken into account when deciding which colors map to which gray values
samples GeglParamint
  Number of samples to do per iteration looking for the range of colors
iterations GeglParamint
  Number of iterations, a higher number of iterations provides less noisy results at a computational cost

GeglChantstretch-contrast_c
GeglChantmono-mixer_c

red GeglParamDouble
  Amount of red
green GeglParamDouble
  Amount of green
blue GeglParamDouble
  Amount of blue

GeglChantreinhard05_c

brightness GParamDouble
  Overall brightness of the image
chromatic GParamDouble
  Adapation to colour variation across the image
light GParamDouble
  Adapation to light variation across the image

GeglChantexp-combine_c

exposures GParamString
  Relative brightness of each exposure in EV
steps GParamInt
  Log2 of source's discretization steps
sigma GParamDouble
  Weight distrubtion sigma controlling response contributions

GeglChantmblur_c

dampness GParamDouble
  The value represents the contribution of the past to the new frame.

GeglChantlens-distortion_c

main GParamDouble
  Main value of distortion
zoom GParamDouble
  Main value of distortion
edge GParamDouble
  Edge value of distortion
brighten GParamDouble
  Brighten the image
x-shift GParamDouble
  Shift horizontal
y-shift GParamDouble
  Shift vertical

GeglChantcolor-to-alpha_c

color GeglParamColor
  The color to render (defaults to 'black')

GeglChantclone_c

ref GParamString
  The reference ID used as input (for use in XML).

GeglChantnop_c
GeglChantcrop_c

x GParamDouble
  X
y GParamDouble
  Y
width GParamDouble
  Width
height GParamDouble
  Height

GeglOperationSink

input GParamObject
  Input pad, for image buffer input.

GeglChantpng-save_c

path GParamString
  Target path and filename, use '-' for stdout.
compression GParamInt
  PNG compression level from 1 to 9
bitdepth GParamInt
  8 and 16 are amongst the currently accepted values.

GeglChantjpg-save_c

path GParamString
  Target path and filename, use '-' for stdout
quality GParamInt
  JPEG compression quality (between 1 and 100)
smoothing GParamInt
  Smoothing factor from 1 to 100; 0 disables smoothing
optimize GParamBoolean
  Use optimized huffman tables
progressive GParamBoolean
  Create progressive JPEG images
grayscale GParamBoolean
  Create a grayscale (monochrome) image

GeglChantsave-pixbuf_c

pixbuf GParamPointer
  The location where to store the output GdkPixbuf.

GeglChantexr-save_cc

path GParamString
  path of file to write to.
tile GParamInt
  tile size to use.

GeglChantsdl-display_c

window-title GParamString
  Title to be given to output window
icon-title GParamString
  Icon to be used for output window
screen GParamPointer
  private
w GParamInt
  private
h GParamInt
  private
width GParamInt
  private
height GParamInt
  private

GeglChantppm-save_c

path GParamString
  Target path and filename, use '-' for stdout.
rawformat GParamBoolean
  Raw format
bitdepth GParamInt
  8 and 16 are amongst the currently accepted values.

GeglChantrgbe-save_c

path GParamString
  Target path and filename, use '-' for stdout.

GeglChantsave_c

path GeglParamFilePath
  Path of file to save.

GeglChantbuffer-sink_c

buffer GParamPointer
  The location where to store the output GeglBuffer
format GParamPointer
  The babl format of the output GeglBuffer, NULL to use input buffer format

GeglChantwrite-buffer_c

buffer GParamObject
  Write to an existing GeglBuffer

GeglChantdisplay_c

window-title GParamString
  Title to be given to output window

GeglChantgegl-buffer-save-op_c

path GeglParamFilePath
  Target file path to write GeglBuffer to.

GeglOperationComposer

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

GeglOperationPointComposer
GeglChantthreshold_c

value GeglParamDouble
  Global threshold level (used when there is no auxiliary input buffer).

GeglChantopacity_c

value GParamDouble
  Global opacity value that is always used on top of the optional auxiliary input buffer.

GeglChantweighted-blend_c

value GParamDouble
  global value used if aux doesn't contain data

GeglChantover_c
GeglChantsrc-atop_c
GeglChantxor_c
GeglChantsubtract_c

value GParamDouble
  global value used if aux doesn't contain data

GeglChantmultiply_c

value GParamDouble
  global value used if aux doesn't contain data

GeglChantsrc_c
GeglChantclear_c
GeglChantdivide_c

value GParamDouble
  global value used if aux doesn't contain data

GeglChantdst-out_c
GeglChantcolor-dodge_c
GeglChantdst-over_c
GeglChantexclusion_c
GeglChantoverlay_c
GeglChantsrc-over_c
GeglChantdst_c
GeglChanthard-light_c
GeglChantlighten_c
GeglChantcolor-burn_c
GeglChantsrc-in_c
GeglChantsvg-multiply_c
GeglChantsrc-out_c
GeglChantdst-in_c
GeglChantadd_c

value GParamDouble
  global value used if aux doesn't contain data

GeglChantscreen_c
GeglChantsoft-light_c
GeglChantgamma_c

value GParamDouble
  global value used if aux doesn't contain data

GeglChantdifference_c
GeglChantplus_c
GeglChantdst-atop_c
GeglChantdarken_c
GeglChantmap-absolute_c

sampler-type GParamEnum
  Sampler used internaly

GeglChantmap-relative_c

scaling GParamDouble
  scaling factor of displacement, indicates how large spatial displacement a relative mapping value of 1.0 corresponds to.
sampler-type GParamEnum
  Sampler used internaly

GeglChantmatting-global_c

iterations GParamInt
  Number of iterations

GeglOperationMeta
GeglChantdifference-of-gaussians_c

radius1 GeglParamDouble
  Radius
radius2 GeglParamDouble
  Radius

GeglChantload_c

path GeglParamFilePath
  Path of file to load.

GeglChantrectangle_c

x GParamDouble
  Horizontal position
y GParamDouble
  Vertical position
width GParamDouble
  Horizontal extent
height GParamDouble
  Vertical extent
color GeglParamColor
  Color to render

GeglChantlayer_c

composite-op GParamString
  Composite operation to use
opacity GParamDouble
  Opacity
x GParamDouble
  Horizontal position
y GParamDouble
  Vertical position
scale GParamDouble
  Scale 1:1 size
src GeglParamFilePath
  Source datafile (png, jpg, raw, svg, bmp, tif, ...)

GeglChantunsharp-mask_c

std-dev GeglParamDouble
  Standard deviation (spatial scale factor)
scale GeglParamDouble
  Scale, strength of effect

GeglChantdropshadow_c

opacity GParamDouble
  Opacity
x GeglParamDouble
  Horizontal shadow offset
y GeglParamDouble
  Vertical shadow offset
radius GeglParamDouble
  Blur radius

GeglOperationComposer3

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.
aux2 GParamObject
  Second auxiliary image buffer input pad.

GeglOperationPointComposer3
GeglChantremap_c
GeglNode

operation GParamString
  The type of associated GeglOperation
gegl-operation GParamObject
  The associated GeglOperation instance
name GParamString
  The name of the node
dont-cache GParamBoolean
  Do not cache the result of this operation, the property is inherited by children created from a node.

GeglTileSource
GeglTileHandler

source GParamObject
  The tilestore to be a facade for

GeglBuffer

x GParamInt
  local origin's offset relative to source origin
y GParamInt
  local origin's offset relative to source origin
width GParamInt
  pixel width of buffer
height GParamInt
  pixel height of buffer
shift-x GParamInt
shift-y GParamInt
abyss-x GParamInt
abyss-y GParamInt
abyss-width GParamInt
  pixel width of abyss
abyss-height GParamInt
  pixel height of abyss
tile-width GParamInt
  width of a tile
tile-height GParamInt
  height of a tile
format GParamPointer
  babl format
px-size GParamInt
  size of a single pixel in bytes.
pixels GParamInt
  total amount of pixels in image (width x height)
path GParamString
  URI to where the buffer is stored
backend GParamPointer
  A custom tile-backend instance to use

GeglCache

x GParamInt
  local origin's offset relative to source origin
y GParamInt
  local origin's offset relative to source origin
width GParamInt
  pixel width of buffer
height GParamInt
  pixel height of buffer
node GParamObject
  The GeglNode to cache results for

GeglTileHandlerChain
GeglTileStorage
GeglTileHandlerCache
GeglTileHandlerEmpty
GeglTileHandlerZoom
GeglTileBackend

tile-width GParamInt
  Tile width in pixels
tile-height GParamInt
  Tile height in pixels
px-size GParamInt
  Size of a single pixel in bytes
tile-size GParamInt
  Size of the tiles linear buffer in bytes
format GParamPointer
  babl format

GeglTileBackendRam
GeglTileBackendFile

path GParamString
  The base path for this backing file for a buffer

GeglColor

string GParamString
  A String representation of the GeglColor

GeglPath
GeglCurve
GeglPad
GeglProcessor

node GParamObject
  The GeglNode to process (will saturate the provider's cache if the provided node is a sink node)
chunksize GParamInt
  Size of chunks being rendered (larger chunks need more memory to do the processing).
progress GParamDouble
  query progress; 0.0 is not started, 1.0 is done.
rectangle GParamPointer
  The rectangle of the region to process.

GeglVisitor

id GParamPointer
  The identifier for the evaluation context

GeglPrepareVisitor
GeglHaveVisitor
GeglFinishVisitor
GeglEvalVisitor
GeglNeedVisitor
GeglEvalMgr

### GObject

GObject

#### subclasses

GeglConfig
GeglModuleDB
GTypeModule
GeglOperation
GeglNode
GeglTileSource
GeglColor
GeglPath
GeglCurve
GeglPad
GeglProcessor
GeglVisitor
GeglEvalMgr

### GeglConfig

GObject/GeglConfig

##### Properties

quality GParamDouble
  quality/speed trade off 1.0 = full quality, 0.0=full speed
cache-size GParamInt
  size of cache in bytes
chunk-size GParamInt
  the number of pixels processed simultaneously by GEGL.
swap GParamString
  where gegl stores it's swap files
babl-tolerance GParamDouble
  the error tolerance babl operates with
tile-width GParamInt
  default tile width for created buffers.
tile-height GParamInt
  default tile height for created buffers.
threads GParamInt
  default tile height for created buffers.
use-opencl GParamBoolean
  Try to use OpenCL

### GeglModuleDB

GObject/GeglModuleDB

### GTypeModule

GObject/GTypeModule

#### subclasses

GeglModule

### GeglModule

GObject/GTypeModule/GeglModule

### GeglOperation

GObject/GeglOperation

#### subclasses

GeglOperationSource
GeglOperationFilter
GeglOperationSink
GeglOperationComposer
GeglOperationMeta
GeglOperationComposer3

### GeglOperationSource

GObject/GeglOperation/GeglOperationSource

##### Properties

output GParamObject
  Output pad for generated image buffer.

#### subclasses

GeglChanttext_c
GeglChantpng-load_c
GeglChantjpg-load_c
GeglChantsvg-load_c
GeglChantpixbuf_c
GeglChantexr-load_cpp
GeglChantopenraw_c
GeglChantv4l_c
GeglChantjp2-load_c
GeglChantppm-load_c
GeglChantrgbe-load_c
GeglOperationPointRender
GeglChantgegl-buffer-load-op_c
GeglChantbuffer-source_c
GeglChantfractal-explorer_c
GeglChantraw-load_c
GeglChantintrospect_c
GeglChantopen-buffer_c
GeglChantmagick-load_c

### GeglChanttext_c

GObject/GeglOperation/GeglOperationSource/GeglChanttext_c

##### Properties

string GeglParamMultiline
  String to display (utf8)
font GParamString
  Font family (utf8)
size GParamDouble
  Approximate height of text in pixels.
color GeglParamColor
  Color for the text (defaults to 'white')
wrap GParamInt
  Sets the width in pixels at which long lines will wrap. Use -1 for no wrapping.
alignment GParamInt
  Alignment for multi-line text (0=Left, 1=Center, 2=Right)
width GParamInt
  Rendered width in pixels. (read only)
height GParamInt
  Rendered height in pixels. (read only)

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.

### GeglChantpng-load_c

GObject/GeglOperation/GeglOperationSource/GeglChantpng-load_c

##### Properties

path GeglParamFilePath
  Path of file to load.

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.

### GeglChantjpg-load_c

GObject/GeglOperation/GeglOperationSource/GeglChantjpg-load_c

##### Properties

path GeglParamFilePath
  Path of file to load

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.

### GeglChantsvg-load_c

GObject/GeglOperation/GeglOperationSource/GeglChantsvg-load_c

##### Properties

path GeglParamFilePath
  Path to SVG file to load
width GParamInt
  Width for rendered image
height GParamInt
  Height for rendered image

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.

### GeglChantpixbuf_c

GObject/GeglOperation/GeglOperationSource/GeglChantpixbuf_c

##### Properties

pixbuf GParamPointer
  GdkPixbuf to use

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.

### GeglChantexr-load_cpp

GObject/GeglOperation/GeglOperationSource/GeglChantexr-load_cpp

##### Properties

path GParamString
  Path of file to load.

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.

### GeglChantopenraw_c

GObject/GeglOperation/GeglOperationSource/GeglChantopenraw_c

##### Properties

path GeglParamFilePath
  Path of file to load.

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.

### GeglChantv4l_c

GObject/GeglOperation/GeglOperationSource/GeglChantv4l_c

##### Properties

path GeglParamFilePath
  Path to v4l device
width GParamInt
  Width for rendered image
height GParamInt
  Height for rendered image
frame GParamInt
  current frame number, can be changed to trigger a reload of the image.
fps GParamInt
  autotrigger reload this many times a second.

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.

### GeglChantjp2-load_c

GObject/GeglOperation/GeglOperationSource/GeglChantjp2-load_c

##### Properties

path GeglParamFilePath
  Path of file to load

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.

### GeglChantppm-load_c

GObject/GeglOperation/GeglOperationSource/GeglChantppm-load_c

##### Properties

path GeglParamFilePath
  Path of file to load.

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.

### GeglChantrgbe-load_c

GObject/GeglOperation/GeglOperationSource/GeglChantrgbe-load_c

##### Properties

path GeglParamFilePath
  Path of file to load.

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.

### GeglOperationPointRender

GObject/GeglOperation/GeglOperationSource/GeglOperationPointRender

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.

#### subclasses

GeglChantcolor_c
GeglChantcheckerboard_c
GeglChantnoise_c
GeglChantgrid_c

### GeglChantcolor_c

GObject/GeglOperation/GeglOperationSource/GeglOperationPointRender/GeglChantcolor_c

##### Properties

value GeglParamColor
  The color to render (defaults to 'black')

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.

### GeglChantcheckerboard_c

GObject/GeglOperation/GeglOperationSource/GeglOperationPointRender/GeglChantcheckerboard_c

##### Properties

x GeglParamint
  Horizontal width of cells pixels
y GeglParamint
  Vertical width of cells in pixels
x-offset GeglParamint
  Horizontal offset (from origin) for start of grid
y-offset GeglParamint
  Vertical offset (from origin) for start of grid
color1 GeglParamColor
  One of the cell colors (defaults to 'black')
color2 GeglParamColor
  The other cell color (defaults to 'white')

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.

### GeglChantnoise_c

GObject/GeglOperation/GeglOperationSource/GeglOperationPointRender/GeglChantnoise_c

##### Properties

alpha GeglParamDouble
scale GeglParamDouble
zoff GeglParamDouble
seed GeglParamDouble
n GParamInt

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.

### GeglChantgrid_c

GObject/GeglOperation/GeglOperationSource/GeglOperationPointRender/GeglChantgrid_c

##### Properties

x GeglParamint
  Horizontal width of cells pixels
y GeglParamint
  Vertical width of cells in pixels
x-offset GeglParamint
  Horizontal offset (from origin) for start of grid
y-offset GeglParamint
  Vertical offset (from origin) for start of grid
line-width GeglParamint
  Width of grid lines in pixels
line-height GeglParamint
  Height of grid lines in pixels
line-color GeglParamColor
  Color of the grid lines

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.

### GeglChantgegl-buffer-load-op_c

GObject/GeglOperation/GeglOperationSource/GeglChantgegl-buffer-load-op_c

##### Properties

path GeglParamFilePath
  Path of GeglBuffer file to load.

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.

### GeglChantbuffer-source_c

GObject/GeglOperation/GeglOperationSource/GeglChantbuffer-source_c

##### Properties

buffer GParamObject
  The GeglBuffer to load into the pipeline

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.

### GeglChantfractal-explorer_c

GObject/GeglOperation/GeglOperationSource/GeglChantfractal-explorer_c

##### Properties

width GeglParamint
  Width
height GeglParamint
  Height
fractaltype GParamInt
  Type of a fractal
xmin GParamDouble
  Left
xmax GParamDouble
  Right
ymin GParamDouble
  Top
ymax GParamDouble
  Bottom
iter GParamInt
  Iterations
cx GParamDouble
  CX (only Julia)
cy GParamDouble
  CY (only Julia)
redstretch GParamDouble
  Red stretching factor
greenstretch GParamDouble
  Green stretching factor
bluestretch GParamDouble
  Blue stretching factor
redmode GParamInt
  Red application mode (0:SIN; 1:COS; 2:NONE)
greenmode GParamInt
  Green application mode (0:SIN; 1:COS; 2:NONE)
bluemode GParamInt
  Blue application mode (0:SIN; 1:COS; 2:NONE)
redinvert GParamBoolean
  Red inversion
greeninvert GParamBoolean
  Green inversion
blueinvert GParamBoolean
  Blue inversion
ncolors GParamInt
  Number of colors
useloglog GParamBoolean
  Use loglog smoothing

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.

### GeglChantraw-load_c

GObject/GeglOperation/GeglOperationSource/GeglChantraw-load_c

##### Properties

path GeglParamFilePath
  Path of file to load.

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.

### GeglChantintrospect_c

GObject/GeglOperation/GeglOperationSource/GeglChantintrospect_c

##### Properties

node GParamObject
  GeglNode to introspect

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.

### GeglChantopen-buffer_c

GObject/GeglOperation/GeglOperationSource/GeglChantopen-buffer_c

##### Properties

path GParamString
  a GeglBuffer on disk to open

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.

### GeglChantmagick-load_c

GObject/GeglOperation/GeglOperationSource/GeglChantmagick-load_c

##### Properties

path GeglParamFilePath
  Path of file to load.

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.

### GeglOperationFilter

GObject/GeglOperation/GeglOperationFilter

##### Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

#### subclasses

GeglChantpath_c
GeglChantvector-fill_c
GeglChantvector-stroke_c
GeglOpPlugIn-affine
GeglChantmantiuk06_c
GeglChantfattal02_c
GeglChantpolar-coordinates_c
GeglChantmirrors_c
GeglOperationPointFilter
GeglOperationAreaFilter
GeglChantstretch-contrast_c
GeglChantmono-mixer_c
GeglChantreinhard05_c
GeglChantexp-combine_c
GeglChantmblur_c
GeglChantlens-distortion_c
GeglChantcolor-to-alpha_c
GeglChantclone_c
GeglChantnop_c
GeglChantcrop_c

### GeglChantpath_c

GObject/GeglOperation/GeglOperationFilter/GeglChantpath_c

##### Properties

fill GeglParamColor
  Color of paint to use for filling, use 0 opacity to disable filling
stroke GeglParamColor
  Color of paint to use for stroking
stroke-width GParamDouble
  The width of the brush used to stroke the path
stroke-opacity GParamDouble
  Opacity of stroke, note, does not behave like SVG since at the moment stroking is done using an airbrush tool
stroke-hardness GParamDouble
  Hardness of the brush, 0.0 for a soft brush, 1.0 for a hard brush
fill-rule GParamString
  How to determine what to fill (nonzero|evenodd
transform GParamString
  SVG style description of transform
fill-opacity GParamDouble
  The fill opacity to use
d GeglParamPath
  A GeglVector representing the path of the stroke

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantvector-fill_c

GObject/GeglOperation/GeglOperationFilter/GeglChantvector-fill_c

##### Properties

color GeglParamColor
  Color of paint to use for filling.
opacity GParamDouble
  The fill opacity to use.
fill-rule GParamString
  how to determine what to fill (nonzero|evenodd
transform GParamString
  svg style description of transform.
d GeglParamPath
  A GeglVector representing the path of the stroke

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantvector-stroke_c

GObject/GeglOperation/GeglOperationFilter/GeglChantvector-stroke_c

##### Properties

color GeglParamColor
  Color of paint to use for stroking.
width GParamDouble
  The width of the brush used to stroke the path.
opacity GParamDouble
  Opacity of stroke, note, does not behave like SVG since at the moment stroking is done using an airbrush tool.
transform GParamString
  svg style description of transform.
d GeglParamPath
  A GeglVector representing the path of the stroke

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglOpPlugIn-affine

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-affine

##### Properties

origin-x GParamDouble
  X coordinate of origin
origin-y GParamDouble
  Y coordinate of origin
filter GParamString
  Filter type (nearest, linear, lanczos, cubic, lohalo)
hard-edges GParamBoolean
  Hard edges
lanczos-width GParamInt
  Width of the Lanczos function

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

#### subclasses

GeglOpPlugIn-rotate
GeglOpPlugIn-scale
GeglOpPlugIn-shear
GeglOpPlugIn-translate
GeglOpPlugIn-reflect
GeglOpPlugIn-transform

### GeglOpPlugIn-rotate

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-affine/GeglOpPlugIn-rotate

##### Properties

degrees GParamDouble
  Angle to rotate (clockwise)

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
origin-x GParamDouble
  X coordinate of origin
origin-y GParamDouble
  Y coordinate of origin
filter GParamString
  Filter type (nearest, linear, lanczos, cubic, lohalo)
hard-edges GParamBoolean
  Hard edges
lanczos-width GParamInt
  Width of the Lanczos function

### GeglOpPlugIn-scale

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-affine/GeglOpPlugIn-scale

##### Properties

x GParamDouble
  Horizontal scale factor
y GParamDouble
  Vertical scale factor

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
origin-x GParamDouble
  X coordinate of origin
origin-y GParamDouble
  Y coordinate of origin
filter GParamString
  Filter type (nearest, linear, lanczos, cubic, lohalo)
hard-edges GParamBoolean
  Hard edges
lanczos-width GParamInt
  Width of the Lanczos function

### GeglOpPlugIn-shear

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-affine/GeglOpPlugIn-shear

##### Properties

x GParamDouble
  Horizontal shear amount
y GParamDouble
  Vertical shear amount

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
origin-x GParamDouble
  X coordinate of origin
origin-y GParamDouble
  Y coordinate of origin
filter GParamString
  Filter type (nearest, linear, lanczos, cubic, lohalo)
hard-edges GParamBoolean
  Hard edges
lanczos-width GParamInt
  Width of the Lanczos function

### GeglOpPlugIn-translate

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-affine/GeglOpPlugIn-translate

##### Properties

x GParamDouble
  Horizontal translation
y GParamDouble
  Vertical translation

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
origin-x GParamDouble
  X coordinate of origin
origin-y GParamDouble
  Y coordinate of origin
filter GParamString
  Filter type (nearest, linear, lanczos, cubic, lohalo)
hard-edges GParamBoolean
  Hard edges
lanczos-width GParamInt
  Width of the Lanczos function

### GeglOpPlugIn-reflect

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-affine/GeglOpPlugIn-reflect

##### Properties

x GParamDouble
  Direction vector's X component
y GParamDouble
  Direction vector's Y component

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
origin-x GParamDouble
  X coordinate of origin
origin-y GParamDouble
  Y coordinate of origin
filter GParamString
  Filter type (nearest, linear, lanczos, cubic, lohalo)
hard-edges GParamBoolean
  Hard edges
lanczos-width GParamInt
  Width of the Lanczos function

### GeglOpPlugIn-transform

GObject/GeglOperation/GeglOperationFilter/GeglOpPlugIn-affine/GeglOpPlugIn-transform

##### Properties

transform GParamString
  Transformation string

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
origin-x GParamDouble
  X coordinate of origin
origin-y GParamDouble
  Y coordinate of origin
filter GParamString
  Filter type (nearest, linear, lanczos, cubic, lohalo)
hard-edges GParamBoolean
  Hard edges
lanczos-width GParamInt
  Width of the Lanczos function

### GeglChantmantiuk06_c

GObject/GeglOperation/GeglOperationFilter/GeglChantmantiuk06_c

##### Properties

contrast GParamDouble
  The amount of contrast compression
saturation GParamDouble
  Global colour saturation factor
detail GParamDouble
  Level of emphasis on image gradient details

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantfattal02_c

GObject/GeglOperation/GeglOperationFilter/GeglChantfattal02_c

##### Properties

alpha GParamDouble
  Gradient threshold for detail enhancement
beta GParamDouble
  Strength of local detail enhancement
saturation GParamDouble
  Global color saturation factor
noise GParamDouble
  Gradient threshold for lowering detail enhancement

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantpolar-coordinates_c

GObject/GeglOperation/GeglOperationFilter/GeglChantpolar-coordinates_c

##### Properties

depth GParamDouble
  Circle depth in percent
angle GParamDouble
  Offset angle.
bw GParamBoolean
  Start from the right instead of the left
top GParamBoolean
  Put the top row in the middle and the bottom row on the outside
polar GParamBoolean
  Map the image to a circle
pole-x GParamInt
  Origin point for the polar coordinates
pole-y GParamInt
  Origin point for the polar coordinates
middle GParamBoolean
  Let origin point to be the middle one

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantmirrors_c

GObject/GeglOperation/GeglOperationFilter/GeglChantmirrors_c

##### Properties

m-angle GParamDouble
  Rotation applied to the mirrors
r-angle GParamDouble
  Rotation applied to the result
n-segs GParamInt
  Number of mirrors to use
c-x GParamDouble
  X offset of the result of mirroring
c-y GParamDouble
  Y offset of the result of mirroring
o-x GParamDouble
  X axis ratio for the center of mirroring
o-y GParamDouble
  Y axis ratio for the center of mirroring
trim-x GParamDouble
  X axis ratio for trimming mirror expanse
trim-y GParamDouble
  Y axis ratio for trimming mirror expanse
input-scale GParamDouble
  Scale factor to make rendering size bigger
output-scale GParamDouble
  Scale factor to make rendering size bigger
clip GParamBoolean
  Clip result to input size
warp GParamBoolean
  Fill full output area

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglOperationPointFilter

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

#### subclasses

GeglChantbrightness-contrast_c
GeglChantgrey_c
GeglChantvignette_c
GeglChantsvg-luminancetoalpha_c
GeglChantsvg-huerotate_c
GeglChantlevels_c
GeglChantsvg-saturate_c
GeglChantsvg-matrix_c
GeglChantposterize_c
GeglChantinvert_c
GeglChantcolor-temperature_c
GeglChantvalue-invert_c
GeglChantcontrast-curve_c
GeglChantconvert-format_c

### GeglChantbrightness-contrast_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantbrightness-contrast_c

##### Properties

contrast GeglParamDouble
  Range scale factor
brightness GeglParamDouble
  Amount to increase brightness

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantgrey_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantgrey_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantvignette_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantvignette_c

##### Properties

shape GParamInt
  Shape to use: 0=circle 1=diamond 2=square
color GeglParamColor
  Defaults to 'black', you can use transparency here to erase portions of an image
radius GParamDouble
  How far out vignetting goes as portion of half image diagonal
softness GParamDouble
  Softness
gamma GParamDouble
  Falloff linearity
proportion GParamDouble
  How close we are to image proportions
squeeze GParamDouble
  Aspect ratio to use, -0.5 = 1:2, 0.0 = 1:1, 0.5 = 2:1, -1.0 = 1:inf 1.0 = inf:1, this is applied after proportion is taken into account, to directly use squeeze factor as proportions, set proportion to 0.0.
x GParamDouble
  Horizontal center of vignetting
y GParamDouble
  Vertical center of vignetting
rotation GParamDouble
  Rotation angle

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantsvg-luminancetoalpha_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantsvg-luminancetoalpha_c

##### Properties

values GParamString
  list of <number>s

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantsvg-huerotate_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantsvg-huerotate_c

##### Properties

values GParamString
  list of <number>s

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantlevels_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantlevels_c

##### Properties

in-low GeglParamDouble
  Input luminance level to become lowest output
in-high GeglParamDouble
  Input luminance level to become white.
out-low GeglParamDouble
  Lowest luminance level in output
out-high GeglParamDouble
  Highest luminance level in output

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantsvg-saturate_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantsvg-saturate_c

##### Properties

values GParamString
  list of <number>s

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantsvg-matrix_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantsvg-matrix_c

##### Properties

values GParamString
  list of <number>s

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantposterize_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantposterize_c

##### Properties

levels GeglParamint
  number of levels per component

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantinvert_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantinvert_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantcolor-temperature_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantcolor-temperature_c

##### Properties

original-temperature GParamDouble
  Estimated temperature of the light source in Kelvin the image was taken with.
intended-temperature GParamDouble
  Corrected estimation of the temperature of the light source in Kelvin.

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantvalue-invert_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantvalue-invert_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantcontrast-curve_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantcontrast-curve_c

##### Properties

sampling-points GParamInt
  Number of curve sampling points. 0 for exact calculation.
curve GeglParamCurve
  The contrast curve.

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantconvert-format_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationPointFilter/GeglChantconvert-format_c

##### Properties

format GParamString
  Babl output format string

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglOperationAreaFilter

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

#### subclasses

GeglChantpixelize_c
GeglChantnoise-reduction_c
GeglChantripple_c
GeglChantbox-blur_c
GeglChantgaussian-blur_c
GeglChantsnn-mean_c
GeglChantedge-sobel_c
GeglChantmotion-blur_c
GeglChantedge-laplace_c
GeglChantbilateral-filter_c
GeglChantwaves_c
GeglChantstress_c
GeglChantc2g_c

### GeglChantpixelize_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglChantpixelize_c

##### Properties

size-x GeglParamint
  Width of blocks in pixels
size-y GeglParamint
  Height of blocks in pixels

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantnoise-reduction_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglChantnoise-reduction_c

##### Properties

iterations GeglParamint
  How many iteratarions to run the algorithm with

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantripple_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglChantripple_c

##### Properties

amplitude GeglParamDouble
  Amplitude of the ripple
period GeglParamDouble
  Period of the ripple
phi GParamDouble
  Phase shift
angle GParamDouble
  Angle in degree
sampler-type GParamEnum
  Sampler used internally
wave-type GParamEnum
  Type of wave

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantbox-blur_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglChantbox-blur_c

##### Properties

radius GeglParamDouble
  Radius of square pixel region, (width and height will be radius*2+1)

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantgaussian-blur_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglChantgaussian-blur_c

##### Properties

std-dev-x GeglParamDouble
  Standard deviation for the horizontal axis. (multiply by ~2 to get radius)
std-dev-y GeglParamDouble
  Standard deviation for the vertical axis. (multiply by ~2 to get radius.)
filter GParamString
  Optional parameter to override the automatic selection of blur filter. Choices are fir, iir, auto

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantsnn-mean_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglChantsnn-mean_c

##### Properties

radius GeglParamint
  Radius of square pixel region, (width and height will be radius*2+1)
pairs GParamInt
  Number of pairs; higher number preserves more acute features

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantedge-sobel_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglChantedge-sobel_c

##### Properties

horizontal GParamBoolean
  Horizontal
vertical GParamBoolean
  Vertical
keep-signal GParamBoolean
  Keep Signal

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantmotion-blur_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglChantmotion-blur_c

##### Properties

length GeglParamDouble
  Length of blur in pixels
angle GeglParamDouble
  Angle of blur in degrees

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantedge-laplace_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglChantedge-laplace_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantbilateral-filter_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglChantbilateral-filter_c

##### Properties

blur-radius GeglParamDouble
  Radius of square pixel region, (width and height will be radius*2+1).
edge-preservation GParamDouble
  Amount of edge preservation

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantwaves_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglChantwaves_c

##### Properties

x GeglParamDouble
  X coordinate of the center of the waves
y GeglParamDouble
  Coordinate y of the center of the waves
amplitude GParamDouble
  Amplitude of the ripple
period GParamDouble
  Period of the ripple
phi GParamDouble
  Phase shift
sampler-type GParamEnum
  Sampler used internally

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantstress_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglChantstress_c

##### Properties

radius GeglParamint
  Neighborhood taken into account, for enhancement ideal values are close to the longest side of the image, increasing this increases the runtime
samples GeglParamint
  Number of samples to do per iteration looking for the range of colors
iterations GeglParamint
  Number of iterations, a higher number of iterations provides a less noisy rendering at a computational cost

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantc2g_c

GObject/GeglOperation/GeglOperationFilter/GeglOperationAreaFilter/GeglChantc2g_c

##### Properties

radius GeglParamint
  Neighborhood taken into account, this is the radius in pixels taken into account when deciding which colors map to which gray values
samples GeglParamint
  Number of samples to do per iteration looking for the range of colors
iterations GeglParamint
  Number of iterations, a higher number of iterations provides less noisy results at a computational cost

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantstretch-contrast_c

GObject/GeglOperation/GeglOperationFilter/GeglChantstretch-contrast_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantmono-mixer_c

GObject/GeglOperation/GeglOperationFilter/GeglChantmono-mixer_c

##### Properties

red GeglParamDouble
  Amount of red
green GeglParamDouble
  Amount of green
blue GeglParamDouble
  Amount of blue

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantreinhard05_c

GObject/GeglOperation/GeglOperationFilter/GeglChantreinhard05_c

##### Properties

brightness GParamDouble
  Overall brightness of the image
chromatic GParamDouble
  Adapation to colour variation across the image
light GParamDouble
  Adapation to light variation across the image

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantexp-combine_c

GObject/GeglOperation/GeglOperationFilter/GeglChantexp-combine_c

##### Properties

exposures GParamString
  Relative brightness of each exposure in EV
steps GParamInt
  Log2 of source's discretization steps
sigma GParamDouble
  Weight distrubtion sigma controlling response contributions

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantmblur_c

GObject/GeglOperation/GeglOperationFilter/GeglChantmblur_c

##### Properties

dampness GParamDouble
  The value represents the contribution of the past to the new frame.

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantlens-distortion_c

GObject/GeglOperation/GeglOperationFilter/GeglChantlens-distortion_c

##### Properties

main GParamDouble
  Main value of distortion
zoom GParamDouble
  Main value of distortion
edge GParamDouble
  Edge value of distortion
brighten GParamDouble
  Brighten the image
x-shift GParamDouble
  Shift horizontal
y-shift GParamDouble
  Shift vertical

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantcolor-to-alpha_c

GObject/GeglOperation/GeglOperationFilter/GeglChantcolor-to-alpha_c

##### Properties

color GeglParamColor
  The color to render (defaults to 'black')

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantclone_c

GObject/GeglOperation/GeglOperationFilter/GeglChantclone_c

##### Properties

ref GParamString
  The reference ID used as input (for use in XML).

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantnop_c

GObject/GeglOperation/GeglOperationFilter/GeglChantnop_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglChantcrop_c

GObject/GeglOperation/GeglOperationFilter/GeglChantcrop_c

##### Properties

x GParamDouble
  X
y GParamDouble
  Y
width GParamDouble
  Width
height GParamDouble
  Height

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.

### GeglOperationSink

GObject/GeglOperation/GeglOperationSink

##### Properties

input GParamObject
  Input pad, for image buffer input.

#### subclasses

GeglChantpng-save_c
GeglChantjpg-save_c
GeglChantsave-pixbuf_c
GeglChantexr-save_cc
GeglChantsdl-display_c
GeglChantppm-save_c
GeglChantrgbe-save_c
GeglChantsave_c
GeglChantbuffer-sink_c
GeglChantwrite-buffer_c
GeglChantdisplay_c
GeglChantgegl-buffer-save-op_c

### GeglChantpng-save_c

GObject/GeglOperation/GeglOperationSink/GeglChantpng-save_c

##### Properties

path GParamString
  Target path and filename, use '-' for stdout.
compression GParamInt
  PNG compression level from 1 to 9
bitdepth GParamInt
  8 and 16 are amongst the currently accepted values.

##### Inherited Properties

input GParamObject
  Input pad, for image buffer input.

### GeglChantjpg-save_c

GObject/GeglOperation/GeglOperationSink/GeglChantjpg-save_c

##### Properties

path GParamString
  Target path and filename, use '-' for stdout
quality GParamInt
  JPEG compression quality (between 1 and 100)
smoothing GParamInt
  Smoothing factor from 1 to 100; 0 disables smoothing
optimize GParamBoolean
  Use optimized huffman tables
progressive GParamBoolean
  Create progressive JPEG images
grayscale GParamBoolean
  Create a grayscale (monochrome) image

##### Inherited Properties

input GParamObject
  Input pad, for image buffer input.

### GeglChantsave-pixbuf_c

GObject/GeglOperation/GeglOperationSink/GeglChantsave-pixbuf_c

##### Properties

pixbuf GParamPointer
  The location where to store the output GdkPixbuf.

##### Inherited Properties

input GParamObject
  Input pad, for image buffer input.

### GeglChantexr-save_cc

GObject/GeglOperation/GeglOperationSink/GeglChantexr-save_cc

##### Properties

path GParamString
  path of file to write to.
tile GParamInt
  tile size to use.

##### Inherited Properties

input GParamObject
  Input pad, for image buffer input.

### GeglChantsdl-display_c

GObject/GeglOperation/GeglOperationSink/GeglChantsdl-display_c

##### Properties

window-title GParamString
  Title to be given to output window
icon-title GParamString
  Icon to be used for output window
screen GParamPointer
  private
w GParamInt
  private
h GParamInt
  private
width GParamInt
  private
height GParamInt
  private

##### Inherited Properties

input GParamObject
  Input pad, for image buffer input.

### GeglChantppm-save_c

GObject/GeglOperation/GeglOperationSink/GeglChantppm-save_c

##### Properties

path GParamString
  Target path and filename, use '-' for stdout.
rawformat GParamBoolean
  Raw format
bitdepth GParamInt
  8 and 16 are amongst the currently accepted values.

##### Inherited Properties

input GParamObject
  Input pad, for image buffer input.

### GeglChantrgbe-save_c

GObject/GeglOperation/GeglOperationSink/GeglChantrgbe-save_c

##### Properties

path GParamString
  Target path and filename, use '-' for stdout.

##### Inherited Properties

input GParamObject
  Input pad, for image buffer input.

### GeglChantsave_c

GObject/GeglOperation/GeglOperationSink/GeglChantsave_c

##### Properties

path GeglParamFilePath
  Path of file to save.

##### Inherited Properties

input GParamObject
  Input pad, for image buffer input.

### GeglChantbuffer-sink_c

GObject/GeglOperation/GeglOperationSink/GeglChantbuffer-sink_c

##### Properties

buffer GParamPointer
  The location where to store the output GeglBuffer
format GParamPointer
  The babl format of the output GeglBuffer, NULL to use input buffer format

##### Inherited Properties

input GParamObject
  Input pad, for image buffer input.

### GeglChantwrite-buffer_c

GObject/GeglOperation/GeglOperationSink/GeglChantwrite-buffer_c

##### Properties

buffer GParamObject
  Write to an existing GeglBuffer

##### Inherited Properties

input GParamObject
  Input pad, for image buffer input.

### GeglChantdisplay_c

GObject/GeglOperation/GeglOperationSink/GeglChantdisplay_c

##### Properties

window-title GParamString
  Title to be given to output window

##### Inherited Properties

input GParamObject
  Input pad, for image buffer input.

### GeglChantgegl-buffer-save-op_c

GObject/GeglOperation/GeglOperationSink/GeglChantgegl-buffer-save-op_c

##### Properties

path GeglParamFilePath
  Target file path to write GeglBuffer to.

##### Inherited Properties

input GParamObject
  Input pad, for image buffer input.

### GeglOperationComposer

GObject/GeglOperation/GeglOperationComposer

##### Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

#### subclasses

GeglOperationPointComposer
GeglChantmap-absolute_c
GeglChantmap-relative_c
GeglChantmatting-global_c

### GeglOperationPointComposer

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

#### subclasses

GeglChantthreshold_c
GeglChantopacity_c
GeglChantweighted-blend_c
GeglChantover_c
GeglChantsrc-atop_c
GeglChantxor_c
GeglChantsubtract_c
GeglChantmultiply_c
GeglChantsrc_c
GeglChantclear_c
GeglChantdivide_c
GeglChantdst-out_c
GeglChantcolor-dodge_c
GeglChantdst-over_c
GeglChantexclusion_c
GeglChantoverlay_c
GeglChantsrc-over_c
GeglChantdst_c
GeglChanthard-light_c
GeglChantlighten_c
GeglChantcolor-burn_c
GeglChantsrc-in_c
GeglChantsvg-multiply_c
GeglChantsrc-out_c
GeglChantdst-in_c
GeglChantadd_c
GeglChantscreen_c
GeglChantsoft-light_c
GeglChantgamma_c
GeglChantdifference_c
GeglChantplus_c
GeglChantdst-atop_c
GeglChantdarken_c

### GeglChantthreshold_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantthreshold_c

##### Properties

value GeglParamDouble
  Global threshold level (used when there is no auxiliary input buffer).

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantopacity_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantopacity_c

##### Properties

value GParamDouble
  Global opacity value that is always used on top of the optional auxiliary input buffer.

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantweighted-blend_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantweighted-blend_c

##### Properties

value GParamDouble
  global value used if aux doesn't contain data

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantover_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantover_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantsrc-atop_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantsrc-atop_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantxor_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantxor_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantsubtract_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantsubtract_c

##### Properties

value GParamDouble
  global value used if aux doesn't contain data

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantmultiply_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantmultiply_c

##### Properties

value GParamDouble
  global value used if aux doesn't contain data

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantsrc_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantsrc_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantclear_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantclear_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantdivide_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantdivide_c

##### Properties

value GParamDouble
  global value used if aux doesn't contain data

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantdst-out_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantdst-out_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantcolor-dodge_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantcolor-dodge_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantdst-over_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantdst-over_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantexclusion_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantexclusion_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantoverlay_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantoverlay_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantsrc-over_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantsrc-over_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantdst_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantdst_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChanthard-light_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChanthard-light_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantlighten_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantlighten_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantcolor-burn_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantcolor-burn_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantsrc-in_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantsrc-in_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantsvg-multiply_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantsvg-multiply_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantsrc-out_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantsrc-out_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantdst-in_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantdst-in_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantadd_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantadd_c

##### Properties

value GParamDouble
  global value used if aux doesn't contain data

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantscreen_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantscreen_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantsoft-light_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantsoft-light_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantgamma_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantgamma_c

##### Properties

value GParamDouble
  global value used if aux doesn't contain data

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantdifference_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantdifference_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantplus_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantplus_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantdst-atop_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantdst-atop_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantdarken_c

GObject/GeglOperation/GeglOperationComposer/GeglOperationPointComposer/GeglChantdarken_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantmap-absolute_c

GObject/GeglOperation/GeglOperationComposer/GeglChantmap-absolute_c

##### Properties

sampler-type GParamEnum
  Sampler used internaly

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantmap-relative_c

GObject/GeglOperation/GeglOperationComposer/GeglChantmap-relative_c

##### Properties

scaling GParamDouble
  scaling factor of displacement, indicates how large spatial displacement a relative mapping value of 1.0 corresponds to.
sampler-type GParamEnum
  Sampler used internaly

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglChantmatting-global_c

GObject/GeglOperation/GeglOperationComposer/GeglChantmatting-global_c

##### Properties

iterations GParamInt
  Number of iterations

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.

### GeglOperationMeta

GObject/GeglOperation/GeglOperationMeta

#### subclasses

GeglChantdifference-of-gaussians_c
GeglChantload_c
GeglChantrectangle_c
GeglChantlayer_c
GeglChantunsharp-mask_c
GeglChantdropshadow_c

### GeglChantdifference-of-gaussians_c

GObject/GeglOperation/GeglOperationMeta/GeglChantdifference-of-gaussians_c

##### Properties

radius1 GeglParamDouble
  Radius
radius2 GeglParamDouble
  Radius

### GeglChantload_c

GObject/GeglOperation/GeglOperationMeta/GeglChantload_c

##### Properties

path GeglParamFilePath
  Path of file to load.

### GeglChantrectangle_c

GObject/GeglOperation/GeglOperationMeta/GeglChantrectangle_c

##### Properties

x GParamDouble
  Horizontal position
y GParamDouble
  Vertical position
width GParamDouble
  Horizontal extent
height GParamDouble
  Vertical extent
color GeglParamColor
  Color to render

### GeglChantlayer_c

GObject/GeglOperation/GeglOperationMeta/GeglChantlayer_c

##### Properties

composite-op GParamString
  Composite operation to use
opacity GParamDouble
  Opacity
x GParamDouble
  Horizontal position
y GParamDouble
  Vertical position
scale GParamDouble
  Scale 1:1 size
src GeglParamFilePath
  Source datafile (png, jpg, raw, svg, bmp, tif, ...)

### GeglChantunsharp-mask_c

GObject/GeglOperation/GeglOperationMeta/GeglChantunsharp-mask_c

##### Properties

std-dev GeglParamDouble
  Standard deviation (spatial scale factor)
scale GeglParamDouble
  Scale, strength of effect

### GeglChantdropshadow_c

GObject/GeglOperation/GeglOperationMeta/GeglChantdropshadow_c

##### Properties

opacity GParamDouble
  Opacity
x GeglParamDouble
  Horizontal shadow offset
y GeglParamDouble
  Vertical shadow offset
radius GeglParamDouble
  Blur radius

### GeglOperationComposer3

GObject/GeglOperation/GeglOperationComposer3

##### Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.
aux2 GParamObject
  Second auxiliary image buffer input pad.

#### subclasses

GeglOperationPointComposer3

### GeglOperationPointComposer3

GObject/GeglOperation/GeglOperationComposer3/GeglOperationPointComposer3

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.
aux2 GParamObject
  Second auxiliary image buffer input pad.

#### subclasses

GeglChantremap_c

### GeglChantremap_c

GObject/GeglOperation/GeglOperationComposer3/GeglOperationPointComposer3/GeglChantremap_c

##### Inherited Properties

output GParamObject
  Output pad for generated image buffer.
input GParamObject
  Input pad, for image buffer input.
aux GParamObject
  Auxiliary image buffer input pad.
aux2 GParamObject
  Second auxiliary image buffer input pad.

### GeglNode

GObject/GeglNode

##### Properties

operation GParamString
  The type of associated GeglOperation
gegl-operation GParamObject
  The associated GeglOperation instance
name GParamString
  The name of the node
dont-cache GParamBoolean
  Do not cache the result of this operation, the property is inherited by children created from a node.

### GeglTileSource

GObject/GeglTileSource

#### subclasses

GeglTileHandler
GeglTileBackend

### GeglTileHandler

GObject/GeglTileSource/GeglTileHandler

##### Properties

source GParamObject
  The tilestore to be a facade for

#### subclasses

GeglBuffer
GeglTileHandlerChain
GeglTileHandlerCache
GeglTileHandlerEmpty
GeglTileHandlerZoom

### GeglBuffer

GObject/GeglTileSource/GeglTileHandler/GeglBuffer

##### Properties

x GParamInt
  local origin's offset relative to source origin
y GParamInt
  local origin's offset relative to source origin
width GParamInt
  pixel width of buffer
height GParamInt
  pixel height of buffer
shift-x GParamInt
shift-y GParamInt
abyss-x GParamInt
abyss-y GParamInt
abyss-width GParamInt
  pixel width of abyss
abyss-height GParamInt
  pixel height of abyss
tile-width GParamInt
  width of a tile
tile-height GParamInt
  height of a tile
format GParamPointer
  babl format
px-size GParamInt
  size of a single pixel in bytes.
pixels GParamInt
  total amount of pixels in image (width x height)
path GParamString
  URI to where the buffer is stored
backend GParamPointer
  A custom tile-backend instance to use

##### Inherited Properties

source GParamObject
  The tilestore to be a facade for

#### subclasses

GeglCache

### GeglCache

GObject/GeglTileSource/GeglTileHandler/GeglBuffer/GeglCache

##### Properties

x GParamInt
  local origin's offset relative to source origin
y GParamInt
  local origin's offset relative to source origin
width GParamInt
  pixel width of buffer
height GParamInt
  pixel height of buffer
node GParamObject
  The GeglNode to cache results for

##### Inherited Properties

source GParamObject
  The tilestore to be a facade for
shift-x GParamInt
shift-y GParamInt
abyss-x GParamInt
abyss-y GParamInt
abyss-width GParamInt
  pixel width of abyss
abyss-height GParamInt
  pixel height of abyss
tile-width GParamInt
  width of a tile
tile-height GParamInt
  height of a tile
format GParamPointer
  babl format
px-size GParamInt
  size of a single pixel in bytes.
pixels GParamInt
  total amount of pixels in image (width x height)
path GParamString
  URI to where the buffer is stored
backend GParamPointer
  A custom tile-backend instance to use

### GeglTileHandlerChain

GObject/GeglTileSource/GeglTileHandler/GeglTileHandlerChain

##### Inherited Properties

source GParamObject
  The tilestore to be a facade for

#### subclasses

GeglTileStorage

### GeglTileStorage

GObject/GeglTileSource/GeglTileHandler/GeglTileHandlerChain/GeglTileStorage

##### Inherited Properties

source GParamObject
  The tilestore to be a facade for

### GeglTileHandlerCache

GObject/GeglTileSource/GeglTileHandler/GeglTileHandlerCache

##### Inherited Properties

source GParamObject
  The tilestore to be a facade for

### GeglTileHandlerEmpty

GObject/GeglTileSource/GeglTileHandler/GeglTileHandlerEmpty

##### Inherited Properties

source GParamObject
  The tilestore to be a facade for

### GeglTileHandlerZoom

GObject/GeglTileSource/GeglTileHandler/GeglTileHandlerZoom

##### Inherited Properties

source GParamObject
  The tilestore to be a facade for

### GeglTileBackend

GObject/GeglTileSource/GeglTileBackend

##### Properties

tile-width GParamInt
  Tile width in pixels
tile-height GParamInt
  Tile height in pixels
px-size GParamInt
  Size of a single pixel in bytes
tile-size GParamInt
  Size of the tiles linear buffer in bytes
format GParamPointer
  babl format

#### subclasses

GeglTileBackendRam
GeglTileBackendFile

### GeglTileBackendRam

GObject/GeglTileSource/GeglTileBackend/GeglTileBackendRam

##### Inherited Properties

tile-width GParamInt
  Tile width in pixels
tile-height GParamInt
  Tile height in pixels
px-size GParamInt
  Size of a single pixel in bytes
tile-size GParamInt
  Size of the tiles linear buffer in bytes
format GParamPointer
  babl format

### GeglTileBackendFile

GObject/GeglTileSource/GeglTileBackend/GeglTileBackendFile

##### Properties

path GParamString
  The base path for this backing file for a buffer

##### Inherited Properties

tile-width GParamInt
  Tile width in pixels
tile-height GParamInt
  Tile height in pixels
px-size GParamInt
  Size of a single pixel in bytes
tile-size GParamInt
  Size of the tiles linear buffer in bytes
format GParamPointer
  babl format

### GeglColor

GObject/GeglColor

##### Properties

string GParamString
  A String representation of the GeglColor

### GeglPath

GObject/GeglPath

### GeglCurve

GObject/GeglCurve

### GeglPad

GObject/GeglPad

### GeglProcessor

GObject/GeglProcessor

##### Properties

node GParamObject
  The GeglNode to process (will saturate the provider's cache if the provided node is a sink node)
chunksize GParamInt
  Size of chunks being rendered (larger chunks need more memory to do the processing).
progress GParamDouble
  query progress; 0.0 is not started, 1.0 is done.
rectangle GParamPointer
  The rectangle of the region to process.

### GeglVisitor

GObject/GeglVisitor

##### Properties

id GParamPointer
  The identifier for the evaluation context

#### subclasses

GeglPrepareVisitor
GeglHaveVisitor
GeglFinishVisitor
GeglEvalVisitor
GeglNeedVisitor

### GeglPrepareVisitor

GObject/GeglVisitor/GeglPrepareVisitor

##### Inherited Properties

id GParamPointer
  The identifier for the evaluation context

### GeglHaveVisitor

GObject/GeglVisitor/GeglHaveVisitor

##### Inherited Properties

id GParamPointer
  The identifier for the evaluation context

### GeglFinishVisitor

GObject/GeglVisitor/GeglFinishVisitor

##### Inherited Properties

id GParamPointer
  The identifier for the evaluation context

### GeglEvalVisitor

GObject/GeglVisitor/GeglEvalVisitor

##### Inherited Properties

id GParamPointer
  The identifier for the evaluation context

### GeglNeedVisitor

GObject/GeglVisitor/GeglNeedVisitor

##### Inherited Properties

id GParamPointer
  The identifier for the evaluation context

### GeglEvalMgr

GObject/GeglEvalMgr